Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156154 - SRPM fail to compile when mozilla.spec is changed to --enable-xprint
Summary: SRPM fail to compile when mozilla.spec is changed to --enable-xprint
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 23:35 UTC by Mark Roberts
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-01 04:43:50 UTC


Attachments (Terms of Use)

Description Mark Roberts 2005-04-27 23:35:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050417 Galeon/1.3.20

Description of problem:
Whenever an attempt is made to compile mozilla-1.7.7-1.3.1.src.rpm with --enable-xprint, the compile session fails. See "Actual Results" for a script of 
the session at the point of failure.




Version-Release number of selected component (if applicable):
mozilla-1.7.7-1.3.1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. cd /usr/src/redhat/SPECS
2. Edit configure command in mozilla.spec at approx. line 245 to --enable-xprint rather than --disable-xprint
3. rpmbuild -bb mozilla.spec

  

Actual Results:  Failure occurs at this compile:

c++ -I/usr/X11R6/include -fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -pedantic -fshort-wchar -pthread -pipe  -DNDEBUG -DTRIMMED -O2  -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -fPIC -shared -Wl,-h -Wl,libgfx_gtk.so -o libgfx_gtk.so  nsPrintdGTK.o gtk2drawing.o nsDeviceContextGTK.o nsDeviceContextSpecFactoryG.o nsDeviceContextSpecG.o nsDrawingSurfaceGTK.o nsGfxFactoryGTK.o nsGraphicsStateGTK.o nsImageGTK.o nsGCCache.o nsRenderingContextGTK.o nsScreenGtk.o nsScreenManagerGtk.o nsPrintOptionsGTK.o nsFontMetricsUtils.o nsAntiAliasedGlyph.o nsFontFreeType.o nsFT2FontNode.o nsFT2FontCatalog.o nsX11AlphaBlend.o nsXFontAAScaledBitmap.o nsXFontNormal.o nsFontMetricsGTK.o nsGdkUtils.o nsFontMetricsXft.o nsFontMetricsPango.o mozilla-decoder.o nsRegionGTK2.o nsNativeThemeGTK.o       ../../../dist/lib/libgfxshared_s.a -Wl,--version-script -Wl,../../../build/unix/gnu-ld-scripts/components-version-script -Wl,-Bsymbolic -L../../../dist/bin -lxpcom  -L../../../dist/bin -L/usr/lib -lplds4 -lplc4 -lnspr4 -lpthread -ldl  -lgkgfx -lXinerama -L../../../dist/bin -lmozjs ../../../dist/lib/libunicharutil_s.a   -L/usr/X11R6/lib   -lXft -lX11 -lfreetype -lXrender -lfontconfig   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lxprintutil -L/usr/X11R6/lib -lXp -lXext -lX11 -lpangoft2-1.0 -ldl -lm    

/usr/bin/ld: cannot find -lxprintutil

collect2: ld returned 1 exit status

gmake[3]: *** [libgfx_gtk.so] Error 1

gmake[3]: Leaving directory `/usr/src/redhat/BUILD/mozilla/gfx/src/gtk'

gmake[2]: *** [libs] Error 2

gmake[2]: Leaving directory `/usr/src/redhat/BUILD/mozilla/gfx/src'

gmake[1]: *** [libs] Error 2

gmake[1]: Leaving directory `/usr/src/redhat/BUILD/mozilla/gfx'

make: *** [libs] Error 2

error: Bad exit status from /var/tmp/rpm-tmp.21045 (%build)





RPM build errors:

    Bad exit status from /var/tmp/rpm-tmp.21045 (%build)



Expected Results:  Compiling should have continued and produced the normal Mozilla RPMs in /usr/src/redhat/RPMS/i386

Additional info:

It doesn't appear that makefiles were built for mozilla/gfx/src/xprintutil/ and mozilla/gfx/src/xprint/ (even with --enable-xprint). There's a Makefile.in in each directory but not a Makefile.

In netscape.public.mozilla.unix, Andrew Schultz commented: "There should be a -L../../../dist/lib before "-lgkgfx" on your commandline."

Failure is consistent regardless of status of other options (for example, --enable-postscript vs. --disable-postscript makes no difference).

Comment 1 Matthew Miller 2006-07-10 23:39:05 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Christopher Aillon 2006-09-01 04:43:50 UTC
xprint is considered deprecated.  more work involved than gain.  WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.